## xsser 1.8.4

=== Makefile ===
# $Id: Makefile,v 1.6 2008/10/29 01:01:35 ghantoos Exp $
#
PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/xsser
PROJECT=xsser
VERSION=1.8.4

all:
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm --post-install=rpm/postinstall --pre-uninstall=rpm/preuninstall

builddeb:
	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
	dpkg-buildpackage -i -I -rfakeroot

clean:
	$(PYTHON) setup.py clean
	$(MAKE) -f $(CURDIR)/debian/rules clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete

=== doc/requirements.txt ===
beautifulsoup4==4.8.1
pycurl==7.43.0.3
pygeoip=0.3.2
gobject==0.1.0
cffi>=1.1.0
selenium=>3.141.0

=== debian/changelog ===
xsser (1.8.4-0kali3) kali-dev; urgency=medium

  * Add python3-legacy-cgi in deps

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 Feb 2025 15:25:01 +0100

xsser (1.8.4-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * New helper-script format
  * Consistency with tabs to spaces

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info to new format on line 1, 2.
  * Update standards version to 4.6.2, no changes needed.

  [ Arnaud Rebillout ]
  * Bump Standards-Version (no changes needed)
  * Add Rules-Requires-Root: no
  * Bump debhelper compat
  * Fix permissions for file xsser.ui
  * Fix various Python 3.12 SyntaxWarning

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 17 Sep 2024 10:55:11 +0700

xsser (1.8.4-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Wrap long lines in changelog entries: 1.8.3+git20201228-0kali1.

  [ Sophie Brun ]
  * Update download page in d/watch and d/copyright
  * New upstream version 1.8.4
  * Refresh patches
  * Add debian/source/lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Mar 2021 16:06:30 +0200

xsser (1.8.3+git20201228-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sophie Brun ]
  * New upstream version 1.8.3+git20201228
  * Refresh patches
  * Add a patch to use shebang python3
  * Bump Standards-Version to 4.5.1
  * Add debian/xsser.lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Jan 2021 11:49:56 +0100

xsser (1.8-2-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * New upstream version 1.8-2
  * Refresh patches
  * Switch to Python3
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.4.1
  * Update dependencies
  * Add minimal autopkgtest

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 18 Nov 2019 16:03:33 +0100

xsser (1.7-2-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Replace old python-beautifulsoup with python-bs4
  * Update debian/copyright
  * Use debhelper 11
  * Bump Standards-Version to 4.2.1 (change Priority)
  * Use pybuild tbo build and install the application
  * Add a helper-script to keep a working usr/bin/xsser
  * Refresh patches and add patches to fix build and installation errors:
    - add a patch to fix xsser.desktop
    - add a patch to remove the testsuite mention in setup.py
    - add a patch to install the ".txt" with pybuild
    - add a patch to remove update option
  * wrap-and-sort

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 15 Oct 2018 14:15:27 +0200

xsser (1.7-1-0kali2) kali-dev; urgency=medium

  * Install directory core in /usr/share/xsser/

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 May 2016 12:04:21 +0200

xsser (1.7-1-0kali1) kali-dev; urgency=medium

  * Import new upstream release (Closes: 0003177)
  * Use dh-python: don't install in usr/local/
  * Add a debian/watch
  * Add missing dependencies:  python-pycurl, python-xmlbuilder,
    python-beautifulsoup, python-geoip, python-gtk2
  * Update debian/copyright
  * Update Homepage

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 May 2016 15:53:20 +0200

xsser (1.6-1-1kali1) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 09:55:05 -0500

xsser (1.6-1-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Sun, 09 Dec 2012 19:17:27 -0700

=== debian/control ===
Source: xsser
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Devon Kearns <dookie@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://xsser.03c8.net/
Vcs-Git: https://gitlab.com/kalilinux/packages/xsser.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/xsser

Package: xsser
Architecture: all
Depends:
 python3,
 python3-bs4,
 python3-cairocffi,
 python3-geoip,
 python3-geoip2,
 python3-gi,
 python3-legacy-cgi,
 python3-pil,
 python3-pycurl,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pygeoip,
Description: XSS testing framework
 Cross Site "Scripter" (aka XSSer) is an automatic
 -framework- to detect, exploit and report XSS
 vulnerabilities in web-based applications.
 .
 It contains several options to try to bypass certain
 filters, and various special techniques of code injection.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/xsser/ --install-scripts=/usr/share/xsser/

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	rm debian/xsser/usr/share/doc/xsser/INSTALL
	rm debian/xsser/usr/share/doc/xsser/COPYING
	chmod 0644 debian/xsser/usr/share/xsser/gtk/xsser.ui

=== debian/tests/control ===
Test-Command: xsser -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xsser-$1.tar.gz%" \
      https://github.com/epsylon/xsser/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
